#pragma once
struct FBO
{
	unsigned int fboID, colortexID[2], depthtexID;
	unsigned int colorID[1], depthID, stencilID;
	unsigned int w,h;
	char name[16];
	int numColors;
};

bool InitializeFBO(FBO& fbo, char* name, unsigned int w, unsigned int h, bool depth, bool stencil, bool color, bool depthTex, bool mipmaps, const unsigned int textype, int numCol);
bool CheckFboStatus();
void BindFBO(FBO fbo, int attachment);
void UnBindFBO();
void RenderMultipleFBO(unsigned int* buffers, int numBuf);
void CleanupFBO(FBO fbo);